### GET /ticketing/{connection_id}/customer Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/customer ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|emails|telephones|tags|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **TicketingCustomers** - Array of TicketingCustomer ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/customer?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/note Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/note ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **ticket_id** (string, query, optional): The ticket ID to filter by - **customer_id** (string, query, optional): The customer ID to filter by - **fields** (array (string (id|created_at|updated_at|customer_id|description|ticket_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **TicketingNotes** - Array of TicketingNote ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/note?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&ticket_id=string&customer_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/note/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/note/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|description|ticket_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Note ### Responses #### 200 - Successful **TicketingNote** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/note/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/ticket Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/ticket ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **customer_id** (string, query, optional): The customer ID to filter by - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **fields** (array (string (id|created_at|updated_at|customer_id|subject|description|status|closed_at|priority|category_id|category|source|source_ref|tags|user_id|url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **TicketingTickets** - Array of TicketingTicket ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/ticket?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&customer_id=string&user_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/customer/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/customer/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|emails|telephones|tags|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Customer ### Responses #### 200 - Successful **TicketingCustomer** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/customer/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/category Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/category ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **parent_id** (string, query, optional): The parent ID to filter by - **fields** (array (string (id|created_at|updated_at|name|description|is_active|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **TicketingCategories** - Array of TicketingCategory ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/category?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&parent_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/category/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/category/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_active|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Category ### Responses #### 200 - Successful **TicketingCategory** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/category/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ticketing/{connection_id}/ticket/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for GET /ticketing/{connection_id}/ticket/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|subject|description|status|closed_at|priority|category_id|category|source|source_ref|tags|user_id|url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Ticket ### Responses #### 200 - Successful **TicketingTicket** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ticketing/{connection_id}/ticket/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### POST /ticketing/{connection_id}/note Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for POST /ticketing/{connection_id}/note ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|description|ticket_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingNote** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/ticketing/{connection_id}/note?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "customer_id": "string", "description": "string", "ticket_id": "string", "user_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### POST /ticketing/{connection_id}/customer Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for POST /ticketing/{connection_id}/customer ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|emails|telephones|tags|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Responses #### 200 - Successful **TicketingCustomer** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/ticketing/{connection_id}/customer?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "emails": "value", "telephones": "value", "tags": "value", "raw": "value" }' ``` ``` -------------------------------- ### API Overview: Unified.to TICKETING API Source: https://api.unified.to/docs/openapi-ticketing.json One API to Rule Them All ```yaml # Unified.to TICKETING API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### POST /ticketing/{connection_id}/ticket Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for POST /ticketing/{connection_id}/ticket ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|subject|description|status|closed_at|priority|category_id|category|source|source_ref|tags|user_id|url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingTicket** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/ticketing/{connection_id}/ticket?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "customer_id": "string", "subject": "string", "description": "string", "status": "ACTIVE", "closed_at": "2023-01-01T00:00:00Z", "priority": "string", "category_id": "string", "category": "string", "source": "string", "source_ref": "string", "tags": "value", "user_id": "string", "url": "string", "raw": "value" }' ``` ``` -------------------------------- ### PUT /ticketing/{connection_id}/note/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PUT /ticketing/{connection_id}/note/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|description|ticket_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Note ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingNote** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/ticketing/{connection_id}/note/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "customer_id": "string", "description": "string", "ticket_id": "string", "user_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### PUT /ticketing/{connection_id}/customer/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PUT /ticketing/{connection_id}/customer/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|emails|telephones|tags|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Customer ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Responses #### 200 - Successful **TicketingCustomer** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/ticketing/{connection_id}/customer/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "emails": "value", "telephones": "value", "tags": "value", "raw": "value" }' ``` ``` -------------------------------- ### POST /ticketing/{connection_id}/category Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for POST /ticketing/{connection_id}/category ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_active|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingCategory** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/ticketing/{connection_id}/category?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "is_active": "true", "parent_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### PATCH /ticketing/{connection_id}/note/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PATCH /ticketing/{connection_id}/note/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|description|ticket_id|user_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Note ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingNote** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/ticketing/{connection_id}/note/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "customer_id": "string", "description": "string", "ticket_id": "string", "user_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### PATCH /ticketing/{connection_id}/customer/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PATCH /ticketing/{connection_id}/customer/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|emails|telephones|tags|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Customer ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Responses #### 200 - Successful **TicketingCustomer** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/ticketing/{connection_id}/customer/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "emails": "value", "telephones": "value", "tags": "value", "raw": "value" }' ``` ``` -------------------------------- ### PUT /ticketing/{connection_id}/category/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PUT /ticketing/{connection_id}/category/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_active|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Category ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingCategory** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/ticketing/{connection_id}/category/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "is_active": "true", "parent_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: TicketingTickets Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingTickets ```markdown ## Schema: TicketingTickets Schema definition for TicketingTickets **Type:** array - Array of TicketingTicket ``` -------------------------------- ### Schema: TicketingNote Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingNote ```markdown ## Schema: TicketingNote Schema definition for TicketingNote **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **description** (string) - **ticket_id** (string) - **user_id** (string) - **raw** (object) ``` -------------------------------- ### Schema: TicketingNotes Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingNotes ```markdown ## Schema: TicketingNotes Schema definition for TicketingNotes **Type:** array - Array of TicketingNote ``` -------------------------------- ### Schema: TicketingCustomer Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingCustomer ```markdown ## Schema: TicketingCustomer Schema definition for TicketingCustomer **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **emails** (array (TicketingEmail)) Array items: - **email** (string) (required) - **type** (string (WORK|HOME|OTHER)) ("WORK"|"HOME"|"OTHER") - **telephones** (array (TicketingTelephone)) Array items: - **telephone** (string) (required) - **type** (string (WORK|HOME|OTHER|FAX|MOBILE)) ("WORK"|"HOME"|"OTHER"|"FAX"|"MOBILE") - **tags** (array (string)) - **raw** (object) ``` -------------------------------- ### PUT /ticketing/{connection_id}/ticket/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PUT /ticketing/{connection_id}/ticket/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|customer_id|subject|description|status|closed_at|priority|category_id|category|source|source_ref|tags|user_id|url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Ticket ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingTicket** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/ticketing/{connection_id}/ticket/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "customer_id": "string", "subject": "string", "description": "string", "status": "ACTIVE", "closed_at": "2023-01-01T00:00:00Z", "priority": "string", "category_id": "string", "category": "string", "source": "string", "source_ref": "string", "tags": "value", "user_id": "string", "url": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: TicketingTicket Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingTicket ```markdown ## Schema: TicketingTicket Schema definition for TicketingTicket **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **customer_id** (string) - **subject** (string) - **description** (string) - **status** (string (ACTIVE|CLOSED)) ("ACTIVE"|"CLOSED") - **closed_at** (string (date-time)) - **priority** (string) - **category_id** (string) - **category** (string) - **source** (string) - **source_ref** (string) - **tags** (array (string)) - **user_id** (string) - **url** (string) - **raw** (object) ``` -------------------------------- ### Security: authorization Source: https://api.unified.to/docs/openapi-ticketing.json Security scheme: jwt ```markdown ## Security: authorization **Description:** Security scheme: jwt **Type:** apiKey ``` -------------------------------- ### Schema: property_TicketingCustomer_emails Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for property_TicketingCustomer_emails ```markdown ## Schema: property_TicketingCustomer_emails Schema definition for property_TicketingCustomer_emails **Type:** array - Array of TicketingEmail ``` -------------------------------- ### Schema: property_TicketingCustomer_tags Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for property_TicketingCustomer_tags ```markdown ## Schema: property_TicketingCustomer_tags Schema definition for property_TicketingCustomer_tags **Type:** array - Array of string ``` -------------------------------- ### Schema: TicketingCategories Source: https://api.unified.to/docs/openapi-ticketing.json Schema definition for TicketingCategories ```markdown ## Schema: TicketingCategories Schema definition for TicketingCategories **Type:** array - Array of TicketingCategory ``` -------------------------------- ### PATCH /ticketing/{connection_id}/category/{id} Source: https://api.unified.to/docs/openapi-ticketing.json API endpoint for PATCH /ticketing/{connection_id}/category/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|is_active|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Category ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **TicketingCategory** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **is_active** (boolean) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/ticketing/{connection_id}/category/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "is_active": "true", "parent_id": "string", "raw": "value" }' ``` ```